petsc-3.10.5 2019-03-28
Report Typos and Errors

# VecMAXPY

Computes y = y + sum alpha[j] x[j]

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecMAXPY(Vec y,PetscInt nv,const PetscScalar alpha[],Vec x[])

Logically Collective on Vec

### Input Parameters

| nv | - number of scalars and x-vectors
| alpha | - array of scalars
| y | - one vector
| x | - array of vectors

### Notes

y cannot be any of the x vectors

### See Also

VecAXPY(), VecWAXPY(), VecAYPX()

### Level

intermediate

### Location

src/vec/vec/interface/rvector.c

### Examples

src/vec/vec/examples/tutorials/ex1.c.html
src/vec/vec/examples/tutorials/ex1f.F90.html
src/vec/vec/examples/tutorials/ex1f90.F90.html
src/vec/vec/examples/tutorials/ex20f90.F90.html

### Implementations

VecMAXPY_Nest in src/vec/vec/impls/nest/vecnest.c
VecMAXPY_Seq in src/vec/vec/impls/seq/dvec2.c
VecMAXPY_SeqCUDA in src/vec/vec/impls/seq/seqcuda/veccuda2.cu
VecMAXPY_SeqViennaCL in src/vec/vec/impls/seq/seqviennacl/vecviennacl.cxx
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages